ruby-feedparser_0.9.4-1_all.deb


Advertisement

Description

ruby-feedparser - Ruby library to parse ATOM/RSS feeds

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-feedparser
Package version 0.9.4
Package release 1
Package architecture all
Package type deb
Installed size 71 B
Download size 16.58 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-feedparser_0.9.4-1_all.deb 0.9.4 all Debian Main
ruby-feedparser - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-magic -

Download

Type URL
Binary Package ruby-feedparser_0.9.4-1_all.deb
Source Package ruby-feedparser

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-feedparser deb package:
    # sudo apt-get install ruby-feedparser

Files

Path
/usr/lib/ruby/vendor_ruby/feedparser.rb
/usr/lib/ruby/vendor_ruby/feedparser/feedparser.rb
/usr/lib/ruby/vendor_ruby/feedparser/filesizes.rb
/usr/lib/ruby/vendor_ruby/feedparser/html-output.rb
/usr/lib/ruby/vendor_ruby/feedparser/html2text-parser.rb
/usr/lib/ruby/vendor_ruby/feedparser/rexml_patch.rb
/usr/lib/ruby/vendor_ruby/feedparser/sgml-parser.rb
/usr/lib/ruby/vendor_ruby/feedparser/text-output.rb
/usr/lib/ruby/vendor_ruby/feedparser/textconverters.rb
/usr/share/doc/ruby-feedparser/README
/usr/share/doc/ruby-feedparser/changelog.Debian.gz
/usr/share/doc/ruby-feedparser/changelog.gz
/usr/share/doc/ruby-feedparser/copyright
/usr/share/rubygems-integration/all/specifications/ruby-feedparser-0.9.4.gemspec

Changelog

2016-03-25 - Antonio Terceiro <terceiro@debian.org>
ruby-feedparser (0.9.4-1) unstable; urgency=medium
[ Lucas Nussbaum ]
* Update my email address.
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
* Run wrap-and-sort on packaging files
[ Antonio Terceiro ]
* New upstream release
* Update packaging with a new dh-make-ruby run
2014-03-23 - Antonio Terceiro <terceiro@debian.org>
ruby-feedparser (0.9.3-2) unstable; urgency=medium
* Copy gemspec from .gem file to fix rubygems-integration support
2014-02-07 - Antonio Terceiro <terceiro@debian.org>
ruby-feedparser (0.9.3-1) unstable; urgency=medium
* New upstream release
+ Includes fix for crash when parsing URL's with non-ascii characters.
Closes: #737767
2013-09-15 - Antonio Terceiro <terceiro@debian.org>
ruby-feedparser (0.9.2-2) unstable; urgency=low
* Upload to unstable. I have been using this version for almos 3 weeks
without problems.
* debian/control:
+ add myself to Uploaders:
+ add Breaks: on feed2imap (<< 1.2) to allow for a seamless upgrade path
since this package has to be uploaded before the feed2imap 1.2
+ Build-Depends: add ruby-mocha
2013-08-27 - Antonio Terceiro <terceiro@debian.org>
ruby-feedparser (0.9.2-1) experimental; urgency=low
* Team upload
* New upstream release fixing API regressions
2013-08-27 - Antonio Terceiro <terceiro@debian.org>
ruby-feedparser (0.9-1) experimental; urgency=low
* Team upload
* New upstream release
2013-08-27 - Antonio Terceiro <terceiro@debian.org>
ruby-feedparser (0.8.1-1) experimental; urgency=low
* Team upload
* New upstream release
+ splits test cases by input file, cleaner test output
+ more robust encoding handling
* debian/ruby-tests.rb: run a little more unit tests during build
2013-08-24 - Antonio Terceiro <terceiro@debian.org>
ruby-feedparser (0.8-1) experimental; urgency=low
* Team upload
* debian/watch: updated to pull upstream tarballs from
http://people.debian.org/~terceiro/ruby-feedparser/
* debian/rules: forcing UTF-8 locale during build
* debian/ruby-tests.rb: skip tests for Ruby < 1.9 since 1.8 is not really
supported anymore.
* debian/control:
- drop lib*-ruby* transitional packages
- Bump standards version to 3.9.4. No changes needed
* New upstream version adding Ruby 1.9 support
2011-04-17 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
ruby-feedparser (0.7-2) unstable; urgency=low
* Switch to gem2deb-based packaging. Rename source and binary packages.
2009-07-28 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
libfeedparser-ruby (0.7-1) unstable; urgency=low
[ Lucas Nussbaum ]
* New upstream release.
[ Gunnar Wolf ]
* Changed section to Ruby as per ftp-masters' request
[ Lucas Nussbaum ]
* Update to policy 3.8.2; no changes needed.
* Add misc:Depends to Depends so lintian is happier.
* Move ruby-pkg-tools to Build-Depends so lintian is happier. also
move others Build-Depends-Indep to Build-Depends. We don't build any
arch-specific package anyway, so splitting Build-Depends-Indep and
Build-Depends in pointless.

See Also

Package Description
ruby-ferret_0.11.8.6-2+b2_amd64.deb full text search engine library for Ruby
ruby-ffaker_2.8.1-1_all.deb ffaker generates dummy data
ruby-ffi-bit-masks_0.1.1-1_all.deb Adds support for bit-masked types in FFI
ruby-ffi-rzmq-core_1.0.6-1_all.deb FFI wrapper around the ZeromMQ (ØMQ) networking library for Ruby
ruby-ffi-rzmq_2.0.6-1_all.deb FFI based Ruby bindings for ZeroMQ (ØMQ) networking library
ruby-ffi-yajl_2.3.1-1+b1_amd64.deb Ruby FFI wrapper around YAJL 2.x
ruby-ffi_1.9.10debian-1+b4_amd64.deb load dynamic libraries, bind functions from within ruby code
ruby-fftw3_1.0.2-2_amd64.deb Ruby interface to the FFTW Ver.3 library
ruby-file-tail_1.1.1-2_all.deb Ruby library for following still-growing files
ruby-filepath_0.7-1_all.deb small library to manipulate paths
ruby-filesystem_0.5-5.1+b8_amd64.deb Ruby extension for file-system information
ruby-fission_0.5.0-2_all.deb Command line tool to manage VMware Fusion VMs
ruby-fix-trinity-output_1.0.0-1_all.deb Fix output fastq files from trinityrnaseq
ruby-fixwhich_1.0.2-1_all.deb ruby module that emulates the 'which' program
ruby-flexmock_2.0.4-1_all.deb simple and flexible mock objects for testing
Advertisement
Advertisement